SimpleXMLHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.util.xml
Class SimpleXMLHandler

    java.lang.Object
      org.jagatoo.util.xml.SimpleXMLHandlerDelegate
          org.jagatoo.util.xml.SimpleXMLHandler

    public abstract class SimpleXMLHandler

extends SimpleXMLHandlerDelegate

This class easily handles XML parsing.

Author:
  Marvin Froehlich (aka Qudus)

Nested Class Summary

Nested classes/interfaces inherited from class org.jagatoo.util.xml.SimpleXMLHandlerDelegate
`SimpleXMLHandlerDelegate.ExceptionSeverity`

Constructor Summary
`SimpleXMLHandler()`

Method Summary
`void` | `handleForkElement(java.lang.String name, java.lang.Object object, org.xml.sax.Attributes attributes)` Invoked first when this object is used to start a fork.
`protected void` | `onDocumentEnded()` Invoked when the XML document end has been detected.
`protected void` | `onDocumentStarted()` Invoked when the XML document has been started.

Methods inherited from class org.jagatoo.util.xml.SimpleXMLHandlerDelegate
`delegate, getAdapter, getPathObject, onElementData, onElementEnded, onElementStarted, onParsingException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleXMLHandler

    public SimpleXMLHandler()

Method Detail

### onDocumentStarted

    protected void onDocumentStarted()
                              throws org.xml.sax.SAXException

  Invoked when the XML document has been started.

  Throws:
    `org.xml.sax.SAXException`

### handleForkElement

    public final void handleForkElement(java.lang.String name,
                                        java.lang.Object object,
                                        org.xml.sax.Attributes attributes)
                                 throws org.xml.sax.SAXException

  Invoked first when this object is used to start a fork.

  Specified by:
    `handleForkElement` in class `SimpleXMLHandlerDelegate`
  Throws:
    `org.xml.sax.SAXException`

### onDocumentEnded

    protected void onDocumentEnded()
                            throws org.xml.sax.SAXException

  Invoked when the XML document end has been detected.

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD